{"id":18092,"date":"2018-12-04T14:01:16","date_gmt":"2018-12-04T14:01:16","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?post_type=docs&#038;p=15696"},"modified":"2023-07-25T06:39:58","modified_gmt":"2023-07-25T05:39:58","slug":"publish-bot-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/publish-bot-api\/","title":{"rendered":"Publish Bot API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\"><div class=\"ult-spacer spacer-6ae86fdf9eaf0\" data-id=\"6ae86fdf9eaf0\" data-height=\"10\" data-height-mobile=\"10\" data-height-tab=\"10\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To initiate a publish request for a bot.<\/p>\n<div class=\"alert alert-info\"><b>Note<\/b>: Before calling the API, please ensure that atleast one channel is enabled for the bot.<\/div>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>POST<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><span style=\"font-weight: 400;\"><code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/publish<\/code><\/span><\/p>\n<p>&nbsp;<\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: Not Applicable<\/li>\n<li>Admin Console: Bot Publish &gt; Publish<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae86fdf9ecf2\" data-id=\"6ae86fdf9ecf2\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Required<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>The environment URL. For example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<\/tr>\n<tr>\n<td>BotId<\/td>\n<td>Required<\/td>\n<td><i>Bot ID<\/i> or <i>Stream ID<\/i> can be accessed under <b>General Settings <\/b>on the Bot Builder.<\/p>\n<div class=\"alert alert-info\"><b>Note<\/b>: This is required only for Bot Builder API scope of Proactive Messages.<\/div>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae86fdf9ee4e\" data-id=\"6ae86fdf9ee4e\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X POST \\\r\n  https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/publish \\\r\n  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \\\r\n  -H 'content-type: application\/json' \\\r\n  -d '{\r\n\t\"versionComment\" : \"new update\",\r\n        \"initiateTraining\": \"true\"\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae86fdf9eef0\" data-id=\"6ae86fdf9eef0\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Required<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>versionComment<\/td>\n<td>Required<\/td>\n<td>Comments for your Publish request.<\/td>\n<\/tr>\n<tr>\n<td>initiateTraining<\/td>\n<td>Optional<\/td>\n<td>Indicates whether to trigger or skip the training process when publishing the bot:<\/p>\n<ul>\n<li><em>true<\/em>: Initiate the training.<\/li>\n<li><em>false<\/em>: Skip the training.<\/li>\n<\/ul>\n<div class=\"alert alert-info\"><b>Note<\/b>: By default, the platform automatically initiates training upon bot publishing to ensure that the bot is trained with the latest ML and KG changes. Skipping the training can result in issues in intent detection and flow execution.<\/div>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae86fdf9f060\" data-id=\"6ae86fdf9f060\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre class=\"code-limit-400px\">[\r\n    {\r\n        \"resourceType\": \"dialog\",\r\n        \"resourceId\": \"dg-606c7f53-e94a-58ff-8b98-d83ce03e6360\",\r\n        \"sbResourceId\": \"dg-606c7f53-e94a-58ff-8b98-d83ce03e6360\",\r\n        \"status\": \"SUCCESS\",\r\n        \"result\": {\r\n            \"visibility\": {\r\n                \"namespace\": \"enterprise\",\r\n                \"namespaceIds\": [\r\n                    \"o-23b63f37-89e7-52e9-bc5d-8012cbda0d4a\"\r\n                ]\r\n            },\r\n            \"contextLifeTime\": {\r\n                \"options\": \"close\"\r\n            },\r\n            \"version\": \"1.0\",\r\n            \"nodes\": [\r\n                {\r\n                    \"nodeOptions\": {\r\n                        \"transitionType\": \"auto\",\r\n                        \"promptOptions\": \"required\",\r\n                        \"reuseMarkedupPhrases\": false,\r\n                        \"interruptOptions\": {\r\n                            \"priority\": \"task\"\r\n                        },\r\n                        \"transitionMode\": \"initiateCurrentTask\",\r\n                        \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                        \"reuseOptions\": \"1\",\r\n                        \"noAutoCorrection\": false,\r\n                        \"notForReuse\": false\r\n                    },\r\n                    \"nodeId\": \"intent0\",\r\n                    \"type\": \"intent\",\r\n                    \"transitions\": [\r\n                        {\r\n                            \"default\": \"entity1\",\r\n                            \"metadata\": {\r\n                                \"color\": \"#299d8e\",\r\n                                \"connId\": \"dummy0\"\r\n                            }\r\n                        }\r\n                    ],\r\n                    \"metadata\": {\r\n                        \"left\": 19,\r\n                        \"top\": 142\r\n                    },\r\n                    \"componentId\": \"dc-4935f617-c82d-5c39-96d6-4df11f48bd99\"\r\n                },\r\n                {\r\n                    \"nodeOptions\": {\r\n                        \"transitionType\": \"auto\",\r\n                        \"promptOptions\": \"required\",\r\n                        \"reuseMarkedupPhrases\": false,\r\n                        \"interruptOptions\": {\r\n                            \"priority\": \"task\"\r\n                        },\r\n                        \"transitionMode\": \"initiateCurrentTask\",\r\n                        \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                        \"reuseOptions\": \"1\",\r\n                        \"noAutoCorrection\": false,\r\n                        \"notForReuse\": false,\r\n                        \"precedence\": \"entityOverIntent\"\r\n                    },\r\n                    \"nodeId\": \"entity1\",\r\n                    \"type\": \"entity\",\r\n                    \"transitions\": [\r\n                        {\r\n                            \"metadata\": {\r\n                                \"connId\": \"dummy1\",\r\n                                \"color\": \"#299d8e\"\r\n                            },\r\n                            \"default\": \"entity2\"\r\n                        }\r\n                    ],\r\n                    \"metadata\": {\r\n                        \"left\": 9,\r\n                        \"top\": 312\r\n                    },\r\n                    \"componentId\": \"dc-a62d7d10-3ed2-5fb8-afc1-1d75b12e0253\"\r\n                },\r\n                {\r\n                    \"nodeOptions\": {\r\n                        \"transitionType\": \"auto\",\r\n                        \"promptOptions\": \"required\",\r\n                        \"reuseMarkedupPhrases\": false,\r\n                        \"interruptOptions\": {\r\n                            \"priority\": \"task\"\r\n                        },\r\n                        \"transitionMode\": \"initiateCurrentTask\",\r\n                        \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                        \"reuseOptions\": \"1\",\r\n                        \"noAutoCorrection\": false,\r\n                        \"notForReuse\": false,\r\n                        \"precedence\": \"entityOverIntent\"\r\n                    },\r\n                    \"nodeId\": \"entity2\",\r\n                    \"type\": \"entity\",\r\n                    \"transitions\": [\r\n                        {\r\n                            \"metadata\": {\r\n                                \"connId\": \"dummy6\",\r\n                                \"color\": \"#299d8e\"\r\n                            },\r\n                            \"then\": \"message3\",\r\n                            \"if\": {\r\n                                \"value\": \"15\",\r\n                                \"op\": \"eq\",\r\n                                \"field\": \"entity2\"\r\n                            }\r\n                        },\r\n                        {\r\n                            \"metadata\": {\r\n                                \"connId\": \"dummy7\",\r\n                                \"color\": \"#5ea8d3\"\r\n                            },\r\n                            \"then\": \"message4\",\r\n                            \"if\": {\r\n                                \"value\": \"30\",\r\n                                \"op\": \"eq\",\r\n                                \"field\": \"entity2\"\r\n                            }\r\n                        },\r\n                        {\r\n                            \"default\": \"end\",\r\n                            \"metadata\": {\r\n                                \"color\": \"#299d8e\",\r\n                                \"connId\": \"dummy3\"\r\n                            }\r\n                        }\r\n                    ],\r\n                    \"metadata\": {\r\n                        \"left\": 24,\r\n                        \"top\": 467\r\n                    },\r\n                    \"componentId\": \"dc-64fc56de-b475-5071-b839-7615d600bf9b\"\r\n                },\r\n                {\r\n                    \"nodeOptions\": {\r\n                        \"transitionType\": \"auto\",\r\n                        \"promptOptions\": \"required\",\r\n                        \"reuseMarkedupPhrases\": false,\r\n                        \"interruptOptions\": {\r\n                            \"priority\": \"task\"\r\n                        },\r\n                        \"transitionMode\": \"initiateCurrentTask\",\r\n                        \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                        \"reuseOptions\": \"1\",\r\n                        \"noAutoCorrection\": false,\r\n                        \"notForReuse\": false\r\n                    },\r\n                    \"nodeId\": \"message3\",\r\n                    \"type\": \"message\",\r\n                    \"transitions\": [\r\n                        {\r\n                            \"default\": \"end\",\r\n                            \"metadata\": {\r\n                                \"color\": \"#299d8e\",\r\n                                \"connId\": \"dummy5\"\r\n                            }\r\n                        }\r\n                    ],\r\n                    \"metadata\": {\r\n                        \"left\": 318,\r\n                        \"top\": 373\r\n                    },\r\n                    \"componentId\": \"dc-fb7bb786-8bd8-5f40-a2f9-92642c43ae5c\"\r\n                },\r\n                {\r\n                    \"nodeOptions\": {\r\n                        \"transitionType\": \"auto\",\r\n                        \"promptOptions\": \"required\",\r\n                        \"reuseMarkedupPhrases\": false,\r\n                        \"interruptOptions\": {\r\n                            \"priority\": \"task\"\r\n                        },\r\n                        \"transitionMode\": \"initiateCurrentTask\",\r\n                        \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                        \"reuseOptions\": \"1\",\r\n                        \"noAutoCorrection\": false,\r\n                        \"notForReuse\": false\r\n                    },\r\n                    \"nodeId\": \"message4\",\r\n                    \"type\": \"message\",\r\n                    \"transitions\": [\r\n                        {\r\n                            \"default\": \"end\",\r\n                            \"metadata\": {\r\n                                \"color\": \"#299d8e\",\r\n                                \"connId\": \"dummy7\"\r\n                            }\r\n                        }\r\n                    ],\r\n                    \"metadata\": {\r\n                        \"top\": 627,\r\n                        \"left\": 278\r\n                    },\r\n                    \"componentId\": \"dc-32f800ce-f457-545c-846f-8e0b64c6c58c\"\r\n                }\r\n            ],\r\n            \"isPublishedVersion\": false,\r\n            \"idp\": \"none\",\r\n            \"state\": \"awaitingApproval\",\r\n            \"languages\": [],\r\n            \"compatibility\": [],\r\n            \"adminTaskStatus\": \"active\",\r\n            \"editable\": true,\r\n            \"isHidden\": false,\r\n            \"approvedLanguages\": [],\r\n            \"approvalRequestedLanguages\": [\r\n                \"en\"\r\n            ],\r\n            \"localeData\": {\r\n                \"en\": {\r\n                    \"name\": \"mortgage\",\r\n                    \"shortDesc\": \"\"\r\n                }\r\n            },\r\n            \"isFollowUp\": false,\r\n            \"interruptOptions\": {\r\n                \"type\": {\r\n                    \"option\": \"developer\",\r\n                    \"message\": \"\"\r\n                },\r\n                \"priority\": \"task\",\r\n                \"interruptsEnabled\": true,\r\n                \"holdUxOptions\": {\r\n                    \"option\": \"discardCurrTaskNoNotify\",\r\n                    \"message\": \"\"\r\n                }\r\n            },\r\n            \"_id\": \"dg-606c7f53-e94a-58ff-8b98-d83ce03e6360\",\r\n            \"refId\": \"682f9675-07a2-5505-aa75-52fd2c4d1a17\",\r\n            \"followUpIntents\": [\r\n                {\r\n                    \"refId\": \"19ad68d9-beb9-5670-ba73-47cf4e8cb1e7\",\r\n                    \"transitions\": [],\r\n                    \"interruptOptions\": {\r\n                        \"type\": {\r\n                            \"option\": \"developer\",\r\n                            \"message\": \"\"\r\n                        },\r\n                        \"interruptsEnabled\": true,\r\n                        \"holdUxOptions\": {\r\n                            \"option\": \"discardCurrTask\",\r\n                            \"message\": [\r\n                                \"Discarded current task to switch to new task\"\r\n                            ]\r\n                        },\r\n                        \"parameterMap\": {\r\n                            \"preAssignments\": [\r\n                                {\r\n                                    \"Place\": \"\",\r\n                                    \"preDefined\": true,\r\n                                    \"entityId\": \"dc-325a8628-ef8b-5411-853b-f6b51e6f43aa\"\r\n                                },\r\n                                {\r\n                                    \"Day\": \"\",\r\n                                    \"preDefined\": true,\r\n                                    \"entityId\": \"dc-33d98b9a-f332-505b-b370-c63b7d22edc9\"\r\n                                },\r\n                                {\r\n                                    \"Time\": \"\",\r\n                                    \"preDefined\": true,\r\n                                    \"entityId\": \"dc-d24a083d-e8e0-51c0-ba25-216ba5439ee2\"\r\n                                }\r\n                            ],\r\n                            \"postAssignments\": [\r\n                                {\r\n                                    \"mortType\": \"\",\r\n                                    \"preDefined\": true,\r\n                                    \"entityId\": \"dc-29155c38-86f4-5124-b704-e932f55b0623\"\r\n                                },\r\n                                {\r\n                                    \"frType\": \"\",\r\n                                    \"preDefined\": true,\r\n                                    \"entityId\": \"dc-7af53bfd-eff5-5e0d-84c5-24d22d8fa150\"\r\n                                }\r\n                            ]\r\n                        }\r\n                    }\r\n                }\r\n            ],\r\n            \"botId\": \"st-b4543a96-49ec-5d95-a120-c6244fc23777\",\r\n            \"createdBy\": \"u-3ae8bd39-a65b-5b2c-b55b-85864a8202c3\",\r\n            \"createdOn\": \"2018-12-05T07:45:19.391Z\",\r\n            \"lModBy\": \"u-3ae8bd39-a65b-5b2c-b55b-85864a8202c3\",\r\n            \"lMod\": \"2018-12-05T07:53:13.000Z\",\r\n            \"lname\": \"mortgage\",\r\n            \"__v\": 0,\r\n            \"versionComment\": \"new update\",\r\n            \"publishedOn\": \"2018-12-05T07:53:13.237Z\",\r\n            \"name\": \"mortgage\"\r\n        }\r\n    },\r\n    {\r\n        \"resourceType\": \"dialog\",\r\n        \"resourceId\": \"dg-b68f22ad-19b8-5894-857a-04156d391b44\",\r\n        \"sbResourceId\": \"dg-b68f22ad-19b8-5894-857a-04156d391b44\",\r\n        \"status\": \"SUCCESS\",\r\n        \"result\": {\r\n            \"visibility\": {\r\n                \"namespace\": \"enterprise\",\r\n                \"namespaceIds\": [\r\n                    \"o-23b63f37-89e7-52e9-bc5d-8012cbda0d4a\"\r\n                ]\r\n            },\r\n            \"contextLifeTime\": {\r\n                \"options\": \"close\"\r\n            },\r\n            \"version\": \"1.0\",\r\n            \"nodes\": [\r\n                {\r\n                    \"nodeOptions\": {\r\n                        \"transitionType\": \"auto\",\r\n                        \"promptOptions\": \"required\",\r\n                        \"reuseMarkedupPhrases\": false,\r\n                        \"interruptOptions\": {\r\n                            \"priority\": \"task\"\r\n                        },\r\n                        \"transitionMode\": \"initiateCurrentTask\",\r\n                        \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                        \"reuseOptions\": \"1\",\r\n                        \"noAutoCorrection\": false,\r\n                        \"notForReuse\": false,\r\n                        \"message\": [],\r\n                        \"errorMessage\": []\r\n                    },\r\n                    \"nodeId\": \"intent0\",\r\n                    \"type\": \"intent\",\r\n                    \"transitions\": [\r\n                        {\r\n                            \"default\": \"entity2\",\r\n                            \"metadata\": {\r\n                                \"color\": \"#299d8e\",\r\n                                \"connId\": \"dummy0\"\r\n                            }\r\n                        }\r\n                    ],\r\n                    \"metadata\": {\r\n                        \"left\": 175,\r\n                        \"top\": 64\r\n                    },\r\n                    \"componentId\": \"dc-4a22c00f-a5f8-5c2b-819b-db264a4a399b\"\r\n                },\r\n                {\r\n                    \"nodeOptions\": {\r\n                        \"transitionType\": \"auto\",\r\n                        \"promptOptions\": \"required\",\r\n                        \"reuseMarkedupPhrases\": false,\r\n                        \"interruptOptions\": {\r\n                            \"priority\": \"task\"\r\n                        },\r\n                        \"transitionMode\": \"initiateCurrentTask\",\r\n                        \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                        \"reuseOptions\": \"1\",\r\n                        \"noAutoCorrection\": false,\r\n                        \"notForReuse\": false,\r\n                        \"isOptional\": false,\r\n                        \"message\": [],\r\n                        \"errorMessage\": [],\r\n                        \"precedence\": \"entityOverIntent\"\r\n                    },\r\n                    \"nodeId\": \"entity1\",\r\n                    \"type\": \"entity\",\r\n                    \"transitions\": [\r\n                        {\r\n                            \"default\": \"entity3\",\r\n                            \"metadata\": {\r\n                                \"color\": \"#299d8e\",\r\n                                \"connId\": \"dummy1\"\r\n                            }\r\n                        }\r\n                    ],\r\n                    \"metadata\": {\r\n                        \"left\": 235,\r\n                        \"top\": 396\r\n                    },\r\n                    \"componentId\": \"dc-d2794a44-f565-5de3-8073-5321a773c044\"\r\n                },\r\n                {\r\n                    \"nodeOptions\": {\r\n                        \"transitionType\": \"auto\",\r\n                        \"promptOptions\": \"required\",\r\n                        \"reuseMarkedupPhrases\": false,\r\n                        \"interruptOptions\": {\r\n                            \"priority\": \"node\",\r\n                            \"type\": {\r\n                                \"option\": \"developer\"\r\n                            },\r\n                            \"interruptsEnabled\": true,\r\n                            \"holdUxOptions\": {\r\n                                \"option\": \"discardCurrTaskNoNotify\",\r\n                                \"message\": \"\"\r\n                            }\r\n                        },\r\n                        \"transitionMode\": \"initiateCurrentTask\",\r\n                        \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                        \"reuseOptions\": \"1\",\r\n                        \"noAutoCorrection\": false,\r\n                        \"notForReuse\": false,\r\n                        \"message\": [],\r\n                        \"errorMessage\": [],\r\n                        \"isOptional\": false,\r\n                        \"precedence\": \"entityOverIntent\"\r\n                    },\r\n                    \"nodeId\": \"entity2\",\r\n                    \"type\": \"entity\",\r\n                    \"transitions\": [\r\n                        {\r\n                            \"default\": \"entity1\",\r\n                            \"metadata\": {\r\n                                \"color\": \"#299d8e\",\r\n                                \"connId\": \"dummy3\"\r\n                            }\r\n                        }\r\n                    ],\r\n                    \"metadata\": {\r\n                        \"left\": 175,\r\n                        \"top\": 227\r\n                    },\r\n                    \"componentId\": \"dc-9f065640-c0b6-5e86-8de7-d19997adb487\"\r\n                },\r\n                {\r\n                    \"nodeOptions\": {\r\n                        \"transitionType\": \"auto\",\r\n                        \"promptOptions\": \"required\",\r\n                        \"reuseMarkedupPhrases\": false,\r\n                        \"interruptOptions\": {\r\n                            \"priority\": \"task\"\r\n                        },\r\n                        \"transitionMode\": \"initiateCurrentTask\",\r\n                        \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                        \"reuseOptions\": \"1\",\r\n                        \"noAutoCorrection\": false,\r\n                        \"notForReuse\": false,\r\n                        \"message\": [],\r\n                        \"errorMessage\": [],\r\n                        \"precedence\": \"entityOverIntent\"\r\n                    },\r\n                    \"nodeId\": \"entity3\",\r\n                    \"type\": \"entity\",\r\n                    \"transitions\": [\r\n                        {\r\n                            \"default\": \"message4\",\r\n                            \"metadata\": {\r\n                                \"color\": \"#299d8e\",\r\n                                \"connId\": \"dummy5\"\r\n                            }\r\n                        }\r\n                    ],\r\n                    \"metadata\": {\r\n                        \"left\": 768,\r\n                        \"top\": 404\r\n                    },\r\n                    \"componentId\": \"dc-8f9c6361-47f7-519b-950d-0b97b5b80ffb\"\r\n                },\r\n                {\r\n                    \"nodeOptions\": {\r\n                        \"transitionType\": \"auto\",\r\n                        \"promptOptions\": \"required\",\r\n                        \"reuseMarkedupPhrases\": false,\r\n                        \"interruptOptions\": {\r\n                            \"priority\": \"task\"\r\n                        },\r\n                        \"transitionMode\": \"initiateCurrentTask\",\r\n                        \"inputHandlingOptions\": \"useAsEntityValue\",\r\n                        \"reuseOptions\": \"1\",\r\n                        \"noAutoCorrection\": false,\r\n                        \"notForReuse\": false,\r\n                        \"message\": [],\r\n                        \"errorMessage\": []\r\n                    },\r\n                    \"nodeId\": \"message4\",\r\n                    \"type\": \"message\",\r\n                    \"transitions\": [\r\n                        {\r\n                            \"default\": \"end\",\r\n                            \"metadata\": {\r\n                                \"color\": \"#299d8e\",\r\n                                \"connId\": \"dummy7\"\r\n                            }\r\n                        }\r\n                    ],\r\n                    \"metadata\": {\r\n                        \"left\": 786,\r\n                        \"top\": 58\r\n                    },\r\n                    \"componentId\": \"dc-45d51547-e374-5b90-ba1a-3fe620f9ab89\"\r\n                }\r\n            ],\r\n            \"isPublishedVersion\": false,\r\n            \"idp\": \"none\",\r\n            \"state\": \"awaitingApproval\",\r\n            \"languages\": [],\r\n            \"compatibility\": [],\r\n            \"adminTaskStatus\": \"active\",\r\n            \"editable\": true,\r\n            \"isHidden\": false,\r\n            \"approvedLanguages\": [],\r\n            \"approvalRequestedLanguages\": [\r\n                \"en\"\r\n            ],\r\n            \"localeData\": {\r\n                \"en\": {\r\n                    \"name\": \"Support\",\r\n                    \"shortDesc\": \"Schedule\"\r\n                }\r\n            },\r\n            \"isFollowUp\": false,\r\n            \"interruptOptions\": {\r\n                \"priority\": \"bot\"\r\n            },\r\n            \"_id\": \"dg-b68f22ad-19b8-5894-857a-04156d391b44\",\r\n            \"refId\": \"19ad68d9-beb9-5670-ba73-47cf4e8cb1e7\",\r\n            \"botId\": \"st-b4543a96-49ec-5d95-a120-c6244fc23777\",\r\n            \"createdBy\": \"u-3ae8bd39-a65b-5b2c-b55b-85864a8202c3\",\r\n            \"createdOn\": \"2018-12-05T07:45:19.402Z\",\r\n            \"lModBy\": \"u-3ae8bd39-a65b-5b2c-b55b-85864a8202c3\",\r\n            \"lMod\": \"2018-12-05T07:53:13.000Z\",\r\n            \"lname\": \"support\",\r\n            \"__v\": 0,\r\n            \"versionComment\": \"new update\",\r\n            \"publishedOn\": \"2018-12-05T07:53:13.236Z\",\r\n            \"name\": \"Support\"\r\n        }\r\n    },\r\n    {\r\n        \"resourceType\": \"NL\",\r\n        \"status\": \"SUCCESS\",\r\n        \"result\": {\r\n            \"resourceId\": \"NL\",\r\n            \"resourceType\": \"NL\",\r\n            \"modules\": [\r\n                \"nl_model\",\r\n                \"settings\"\r\n            ],\r\n            \"name\": \"Natural Language\"\r\n        }\r\n    },\r\n    {\r\n        \"resourceType\": \"CHANNELS\",\r\n        \"status\": \"SUCCESS\",\r\n        \"result\": {\r\n            \"resourceId\": \"CHANNELS\",\r\n            \"resourceType\": \"CHANNELS\",\r\n            \"modules\": [\r\n                \"alexa\"\r\n            ],\r\n            \"name\": \"Channels\"\r\n        }\r\n    },\r\n    {\r\n        \"resourceType\": \"EXTENSIONS\",\r\n        \"status\": \"SUCCESS\",\r\n        \"result\": {\r\n            \"resourceId\": \"EXTENSIONS\",\r\n            \"resourceType\": \"EXTENSIONS\",\r\n            \"modules\": [\r\n                \"botkit\",\r\n                \"agent_transfer\",\r\n                \"websdk\",\r\n                \"events\"\r\n            ],\r\n            \"name\": \"Extensions\"\r\n        }\r\n    },\r\n    {\r\n        \"resourceType\": \"SETTINGS\",\r\n        \"status\": \"SUCCESS\",\r\n        \"result\": {\r\n            \"resourceId\": \"SETTINGS\",\r\n            \"resourceType\": \"SETTINGS\",\r\n            \"modules\": [\r\n                \"general\",\r\n                \"bot_variables\",\r\n                \"pii\",\r\n                \"ivr\",\r\n                \"hold_resume\",\r\n                \"custom_script\",\r\n                \"advanced\"\r\n            ],\r\n            \"name\": \"Settings\"\r\n        }\r\n    }\r\n]<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To initiate a publish request for a bot. Note: Before calling the API, please ensure that atleast one channel is enabled for the bot. Method POST Endpoint https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/publish &nbsp; Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Not Applicable Admin Console: Bot Publish &gt; Publish Path...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18092","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18092","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=18092"}],"version-history":[{"count":18,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18092\/revisions"}],"predecessor-version":[{"id":58356,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18092\/revisions\/58356"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=18092"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=18092"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=18092"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}